package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabCheckOption;
import com.zd.laboratory.domain.vo.LabCheckOptionStatisticsVo;
import org.apache.ibatis.annotations.Param;

/**
 * 检查项选项Mapper接口
 *
 * @author liubo
 * @date 2021-12-30
 */
public interface LabCheckOptionMapper
{
    /**
     * 查询检查项选项
     *
     * @param id 检查项选项主键
     * @return 检查项选项
     */
    public LabCheckOption selectLabCheckOptionById(Long id);

    /**
     * 查询检查项选项列表
     *
     * @param labCheckOption 检查项选项
     * @return 检查项选项集合
     */
    public List<LabCheckOption> selectLabCheckOptionList(LabCheckOption labCheckOption);

    /**
     * 新增检查项选项
     *
     * @param labCheckOption 检查项选项
     * @return 结果
     */
    public int insertLabCheckOption(LabCheckOption labCheckOption);

    /**
     * 修改检查项选项
     *
     * @param labCheckOption 检查项选项
     * @return 结果
     */
    public int updateLabCheckOption(LabCheckOption labCheckOption);

    /**
     * 删除检查项选项
     *
     * @param id 检查项选项主键
     * @return 结果
     */
    public int deleteLabCheckOptionById(Long id);

    /**
     * 批量删除检查项选项
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabCheckOptionByIds(Long[] ids);

    List<LabCheckOption> selectLabCheckOptionTempList(LabCheckOption labCheckOption);

    int queryCheckOptionStatistics(LabCheckOptionStatisticsVo labCheckOptionStatisticsVo);

    List<LabCheckOptionStatisticsVo> queryCheckOptionStatisticDtails(LabCheckOptionStatisticsVo labCheckOptionStatisticsVo);
}
